using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using CommonClass.Factory;
using CmdjyHisFront.Dal;
using HisInterfaceModels;
using CommonHelper;
using Newtonsoft.Json;

namespace CmdjyHisFront.Bll
{
    public interface IPostHelper
    {
        void PostPrescription();
        void PostDrug();
    }

    public class PostHelper:IPostHelper, IRegisterBaseInterface
    {
        public Lazy<HisFrontDbContext> Db { get; set; }

        public void PostDrug() {
            throw new NotImplementedException();
        }

        public void PostPrescription() {
            throw new NotImplementedException();
        }

        private HisPrescriptionResult prescription(HisPrescriptionInfo info) {
            using(var server = new HisServer.HisInterfaceSoapClient()) {
                var msg = JsonConvert.SerializeObject(info);
                return JsonConvert.DeserializeObject<HisPrescriptionResult>(msg);
            }
        }

        private HisDrugResult drug(HisDrugInfo info) {
            using(var server = new HisServer.HisInterfaceSoapClient()) {
                var msg = JsonConvert.SerializeObject(info);
                return JsonConvert.DeserializeObject<HisDrugResult>(msg);
            }
        }
    }
}